Bug 1738179 - rtlsdr-scanner depends on Python 2
Summary: rtlsdr-scanner depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rtlsdr-scanner
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL 1739460 1739520
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:23 UTC by Lumír Balhar
Modified: 2019-11-08 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 15:02:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:23:02 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for rtlsdr-scanner's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to rtlsdr-scanner.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:39:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Lumír Balhar 2019-08-15 07:48:06 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 3 Lumír Balhar 2019-08-22 07:02:30 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-29 05:21:27 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Miro Hrončok 2019-09-05 10:41:26 UTC
According to the procedure described in https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages the package was now orphaned. If you think it was a mistake, you can provide the answers and claim the package back.

Let us know if you need any help or just need more time.

Comment 6 Jaroslav Škarvada 2019-09-05 12:48:55 UTC
Please unorphan.

- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 
It's SW written in Python.

- What are the upstream/community plans/timelines regarding Python 3?
It's currently unknown. I tried to contact upstream regarding this. It's useful SW so in the worst case scenario I am going to port it myself.

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)
In the worst case I am going to port it myself, but please note that I will leave next week for two weeks vacation.

Comment 7 Miro Hrončok 2019-10-18 11:18:24 UTC
This is the last dependency of:

 - python2-matplotlib
   - python2-cycler
   - python2-kiwisolver
   - python-backports-functools_lru_cache


I suppose if the course of action is "port it", we can remove this stack, correct?

Comment 8 Jaroslav Škarvada 2019-10-18 11:50:25 UTC
(In reply to Miro Hrončok from comment #7)
> This is the last dependency of:
> 
>  - python2-matplotlib
>    - python2-cycler
>    - python2-kiwisolver
>    - python-backports-functools_lru_cache
> 
> 
> I suppose if the course of action is "port it", we can remove this stack,
> correct?

Correct.

Comment 9 Lumír Balhar 2019-10-21 11:56:30 UTC
Would it be useful for you if I'd help you with some initial porting? I am not able to port it entirely because it requires some special hardware I don't have.

Comment 10 Jaroslav Škarvada 2019-11-07 14:48:08 UTC
Lumir thanks for your offer. There is initial port, I have introduced it into Fedora.


Note You need to log in before you can comment on or make changes to this bug.